pragma Warnings (Off);
pragma Ada_95;
with System;
with System.Parameters;
with System.Secondary_Stack;
package ada_main is

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 12.2.0 20220819 (release) -=> GNAT [DragonFly64]" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   GNAT_Version_Address : constant System.Address := GNAT_Version'Address;
   pragma Export (C, GNAT_Version_Address, "__gnat_version_address");

   Ada_Main_Program_Name : constant String := "_ada_main" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#0058e94e#;
   pragma Export (C, u00001, "mainB");
   u00002 : constant Version_32 := 16#7320ff5f#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#f09b2605#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#1e22b3d0#;
   pragma Export (C, u00004, "utilB");
   u00005 : constant Version_32 := 16#cc1577cc#;
   pragma Export (C, u00005, "utilS");
   u00006 : constant Version_32 := 16#76789da1#;
   pragma Export (C, u00006, "adaS");
   u00007 : constant Version_32 := 16#a94883d4#;
   pragma Export (C, u00007, "ada__strings__text_buffersB");
   u00008 : constant Version_32 := 16#bb49bb93#;
   pragma Export (C, u00008, "ada__strings__text_buffersS");
   u00009 : constant Version_32 := 16#e6d4fa36#;
   pragma Export (C, u00009, "ada__stringsS");
   u00010 : constant Version_32 := 16#e295819c#;
   pragma Export (C, u00010, "systemS");
   u00011 : constant Version_32 := 16#c71e6c8a#;
   pragma Export (C, u00011, "system__exception_tableB");
   u00012 : constant Version_32 := 16#6fbef785#;
   pragma Export (C, u00012, "system__exception_tableS");
   u00013 : constant Version_32 := 16#fd5f5f4c#;
   pragma Export (C, u00013, "system__soft_linksB");
   u00014 : constant Version_32 := 16#aa47fc88#;
   pragma Export (C, u00014, "system__soft_linksS");
   u00015 : constant Version_32 := 16#e12f1eb0#;
   pragma Export (C, u00015, "system__secondary_stackB");
   u00016 : constant Version_32 := 16#3942a8cc#;
   pragma Export (C, u00016, "system__secondary_stackS");
   u00017 : constant Version_32 := 16#3bc51e08#;
   pragma Export (C, u00017, "ada__exceptionsB");
   u00018 : constant Version_32 := 16#be8d0a91#;
   pragma Export (C, u00018, "ada__exceptionsS");
   u00019 : constant Version_32 := 16#0740df23#;
   pragma Export (C, u00019, "ada__exceptions__last_chance_handlerB");
   u00020 : constant Version_32 := 16#6dc27684#;
   pragma Export (C, u00020, "ada__exceptions__last_chance_handlerS");
   u00021 : constant Version_32 := 16#d0303eae#;
   pragma Export (C, u00021, "system__exceptionsS");
   u00022 : constant Version_32 := 16#69416224#;
   pragma Export (C, u00022, "system__exceptions__machineB");
   u00023 : constant Version_32 := 16#8bdfdbe3#;
   pragma Export (C, u00023, "system__exceptions__machineS");
   u00024 : constant Version_32 := 16#7706238d#;
   pragma Export (C, u00024, "system__exceptions_debugB");
   u00025 : constant Version_32 := 16#d29bd9cf#;
   pragma Export (C, u00025, "system__exceptions_debugS");
   u00026 : constant Version_32 := 16#521cf2d7#;
   pragma Export (C, u00026, "system__img_intS");
   u00027 : constant Version_32 := 16#ec4fa52d#;
   pragma Export (C, u00027, "system__storage_elementsB");
   u00028 : constant Version_32 := 16#8f1b9e68#;
   pragma Export (C, u00028, "system__storage_elementsS");
   u00029 : constant Version_32 := 16#5c7d9c20#;
   pragma Export (C, u00029, "system__tracebackB");
   u00030 : constant Version_32 := 16#640f7521#;
   pragma Export (C, u00030, "system__tracebackS");
   u00031 : constant Version_32 := 16#5f6b6486#;
   pragma Export (C, u00031, "system__traceback_entriesB");
   u00032 : constant Version_32 := 16#2a893e10#;
   pragma Export (C, u00032, "system__traceback_entriesS");
   u00033 : constant Version_32 := 16#a0281f47#;
   pragma Export (C, u00033, "system__traceback__symbolicB");
   u00034 : constant Version_32 := 16#d9e66ad1#;
   pragma Export (C, u00034, "system__traceback__symbolicS");
   u00035 : constant Version_32 := 16#701f9d88#;
   pragma Export (C, u00035, "ada__exceptions__tracebackB");
   u00036 : constant Version_32 := 16#eb07882c#;
   pragma Export (C, u00036, "ada__exceptions__tracebackS");
   u00037 : constant Version_32 := 16#a0d3d22b#;
   pragma Export (C, u00037, "system__address_imageB");
   u00038 : constant Version_32 := 16#43791ca6#;
   pragma Export (C, u00038, "system__address_imageS");
   u00039 : constant Version_32 := 16#fd158a37#;
   pragma Export (C, u00039, "system__wch_conB");
   u00040 : constant Version_32 := 16#3b96a2ff#;
   pragma Export (C, u00040, "system__wch_conS");
   u00041 : constant Version_32 := 16#5c289972#;
   pragma Export (C, u00041, "system__wch_stwB");
   u00042 : constant Version_32 := 16#16878efe#;
   pragma Export (C, u00042, "system__wch_stwS");
   u00043 : constant Version_32 := 16#002bec7b#;
   pragma Export (C, u00043, "system__wch_cnvB");
   u00044 : constant Version_32 := 16#3d56688f#;
   pragma Export (C, u00044, "system__wch_cnvS");
   u00045 : constant Version_32 := 16#edec285f#;
   pragma Export (C, u00045, "interfacesS");
   u00046 : constant Version_32 := 16#e538de43#;
   pragma Export (C, u00046, "system__wch_jisB");
   u00047 : constant Version_32 := 16#88e10aa5#;
   pragma Export (C, u00047, "system__wch_jisS");
   u00048 : constant Version_32 := 16#821dff88#;
   pragma Export (C, u00048, "system__parametersB");
   u00049 : constant Version_32 := 16#3601253a#;
   pragma Export (C, u00049, "system__parametersS");
   u00050 : constant Version_32 := 16#37c92568#;
   pragma Export (C, u00050, "system__soft_links__initializeB");
   u00051 : constant Version_32 := 16#2ed17187#;
   pragma Export (C, u00051, "system__soft_links__initializeS");
   u00052 : constant Version_32 := 16#8599b27b#;
   pragma Export (C, u00052, "system__stack_checkingB");
   u00053 : constant Version_32 := 16#849a5f96#;
   pragma Export (C, u00053, "system__stack_checkingS");
   u00054 : constant Version_32 := 16#7e7d940a#;
   pragma Export (C, u00054, "ada__strings__utf_encodingB");
   u00055 : constant Version_32 := 16#84aa91b0#;
   pragma Export (C, u00055, "ada__strings__utf_encodingS");
   u00056 : constant Version_32 := 16#d1d1ed0b#;
   pragma Export (C, u00056, "ada__strings__utf_encoding__wide_stringsB");
   u00057 : constant Version_32 := 16#a373d741#;
   pragma Export (C, u00057, "ada__strings__utf_encoding__wide_stringsS");
   u00058 : constant Version_32 := 16#c2b98963#;
   pragma Export (C, u00058, "ada__strings__utf_encoding__wide_wide_stringsB");
   u00059 : constant Version_32 := 16#22a4a396#;
   pragma Export (C, u00059, "ada__strings__utf_encoding__wide_wide_stringsS");
   u00060 : constant Version_32 := 16#c3fbe91b#;
   pragma Export (C, u00060, "ada__tagsB");
   u00061 : constant Version_32 := 16#8bc79dfc#;
   pragma Export (C, u00061, "ada__tagsS");
   u00062 : constant Version_32 := 16#3548d972#;
   pragma Export (C, u00062, "system__htableB");
   u00063 : constant Version_32 := 16#634cd977#;
   pragma Export (C, u00063, "system__htableS");
   u00064 : constant Version_32 := 16#1f1abe38#;
   pragma Export (C, u00064, "system__string_hashB");
   u00065 : constant Version_32 := 16#c4095908#;
   pragma Export (C, u00065, "system__string_hashS");
   u00066 : constant Version_32 := 16#18bffec5#;
   pragma Export (C, u00066, "system__unsigned_typesS");
   u00067 : constant Version_32 := 16#39fe9c7c#;
   pragma Export (C, u00067, "system__val_lluS");
   u00068 : constant Version_32 := 16#273bd629#;
   pragma Export (C, u00068, "system__val_utilB");
   u00069 : constant Version_32 := 16#608b173a#;
   pragma Export (C, u00069, "system__val_utilS");
   u00070 : constant Version_32 := 16#b98923bf#;
   pragma Export (C, u00070, "system__case_utilB");
   u00071 : constant Version_32 := 16#2d8656c9#;
   pragma Export (C, u00071, "system__case_utilS");
   u00072 : constant Version_32 := 16#e56aa583#;
   pragma Export (C, u00072, "ada__text_ioB");
   u00073 : constant Version_32 := 16#1e88f4d6#;
   pragma Export (C, u00073, "ada__text_ioS");
   u00074 : constant Version_32 := 16#b4f41810#;
   pragma Export (C, u00074, "ada__streamsB");
   u00075 : constant Version_32 := 16#67e31212#;
   pragma Export (C, u00075, "ada__streamsS");
   u00076 : constant Version_32 := 16#367911c4#;
   pragma Export (C, u00076, "ada__io_exceptionsS");
   u00077 : constant Version_32 := 16#5fc04ee2#;
   pragma Export (C, u00077, "system__put_imagesB");
   u00078 : constant Version_32 := 16#4e963a20#;
   pragma Export (C, u00078, "system__put_imagesS");
   u00079 : constant Version_32 := 16#22b9eb9f#;
   pragma Export (C, u00079, "ada__strings__text_buffers__utilsB");
   u00080 : constant Version_32 := 16#608bd105#;
   pragma Export (C, u00080, "ada__strings__text_buffers__utilsS");
   u00081 : constant Version_32 := 16#73d2d764#;
   pragma Export (C, u00081, "interfaces__c_streamsB");
   u00082 : constant Version_32 := 16#82d73129#;
   pragma Export (C, u00082, "interfaces__c_streamsS");
   u00083 : constant Version_32 := 16#bc07b7c2#;
   pragma Export (C, u00083, "system__crtlS");
   u00084 : constant Version_32 := 16#1aa716c1#;
   pragma Export (C, u00084, "system__file_ioB");
   u00085 : constant Version_32 := 16#9e3744c9#;
   pragma Export (C, u00085, "system__file_ioS");
   u00086 : constant Version_32 := 16#86c56e5a#;
   pragma Export (C, u00086, "ada__finalizationS");
   u00087 : constant Version_32 := 16#95817ed8#;
   pragma Export (C, u00087, "system__finalization_rootB");
   u00088 : constant Version_32 := 16#ad67f20c#;
   pragma Export (C, u00088, "system__finalization_rootS");
   u00089 : constant Version_32 := 16#3d77d417#;
   pragma Export (C, u00089, "system__os_libB");
   u00090 : constant Version_32 := 16#18f951c3#;
   pragma Export (C, u00090, "system__os_libS");
   u00091 : constant Version_32 := 16#6e5d049a#;
   pragma Export (C, u00091, "system__atomic_operations__test_and_setB");
   u00092 : constant Version_32 := 16#57acee8e#;
   pragma Export (C, u00092, "system__atomic_operations__test_and_setS");
   u00093 : constant Version_32 := 16#25f6fbb9#;
   pragma Export (C, u00093, "system__atomic_operationsS");
   u00094 : constant Version_32 := 16#29cc6115#;
   pragma Export (C, u00094, "system__atomic_primitivesB");
   u00095 : constant Version_32 := 16#db021ad6#;
   pragma Export (C, u00095, "system__atomic_primitivesS");
   u00096 : constant Version_32 := 16#7f1e3740#;
   pragma Export (C, u00096, "interfaces__cB");
   u00097 : constant Version_32 := 16#1bfc3385#;
   pragma Export (C, u00097, "interfaces__cS");
   u00098 : constant Version_32 := 16#256dbbe5#;
   pragma Export (C, u00098, "system__stringsB");
   u00099 : constant Version_32 := 16#79178184#;
   pragma Export (C, u00099, "system__stringsS");
   u00100 : constant Version_32 := 16#4064768d#;
   pragma Export (C, u00100, "system__file_control_blockS");
   u00101 : constant Version_32 := 16#4aa988d0#;
   pragma Export (C, u00101, "system__concat_2B");
   u00102 : constant Version_32 := 16#dfd3849e#;
   pragma Export (C, u00102, "system__concat_2S");
   u00103 : constant Version_32 := 16#1982dcd0#;
   pragma Export (C, u00103, "system__memoryB");
   u00104 : constant Version_32 := 16#b911b34c#;
   pragma Export (C, u00104, "system__memoryS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  interfaces%s
   --  system%s
   --  system.atomic_operations%s
   --  system.img_int%s
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%s
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  system.unsigned_types%s
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%s
   --  system.wch_cnv%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.traceback%s
   --  system.traceback%b
   --  system.secondary_stack%s
   --  system.standard_library%s
   --  ada.exceptions%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.soft_links%s
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  ada.exceptions.traceback%s
   --  ada.exceptions.traceback%b
   --  system.address_image%s
   --  system.address_image%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  system.exceptions%s
   --  system.exceptions.machine%s
   --  system.exceptions.machine%b
   --  system.memory%s
   --  system.memory%b
   --  system.secondary_stack%b
   --  system.soft_links.initialize%s
   --  system.soft_links.initialize%b
   --  system.soft_links%b
   --  system.standard_library%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  ada.exceptions%b
   --  ada.io_exceptions%s
   --  ada.strings%s
   --  ada.strings.utf_encoding%s
   --  ada.strings.utf_encoding%b
   --  ada.strings.utf_encoding.wide_strings%s
   --  ada.strings.utf_encoding.wide_strings%b
   --  ada.strings.utf_encoding.wide_wide_strings%s
   --  ada.strings.utf_encoding.wide_wide_strings%b
   --  interfaces.c%s
   --  interfaces.c%b
   --  system.atomic_primitives%s
   --  system.atomic_primitives%b
   --  system.atomic_operations.test_and_set%s
   --  system.atomic_operations.test_and_set%b
   --  system.case_util%s
   --  system.case_util%b
   --  system.os_lib%s
   --  system.os_lib%b
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_llu%s
   --  ada.tags%s
   --  ada.tags%b
   --  ada.strings.text_buffers%s
   --  ada.strings.text_buffers%b
   --  ada.strings.text_buffers.utils%s
   --  ada.strings.text_buffers.utils%b
   --  system.put_images%s
   --  system.put_images%b
   --  ada.streams%s
   --  ada.streams%b
   --  system.file_control_block%s
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  system.file_io%s
   --  system.file_io%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  util%s
   --  util%b
   --  main%b
   --  END ELABORATION ORDER

end ada_main;
